import datetime,os
import log,skel,tcgcore,variables

tradelist = []
previouscard = ""
for card in tcgcore.ownedcards():
    if card[0:4] != "sig_":
        if card == previouscard:
            tradelist.append(card)
        else:
            if not tcgcore.deckmastered(card[:-2]):
                if not tcgcore.collecting(card[:-2]):
                    mass = False
                    for series in variables.masscollect:
                        try:
                            if card in variables.masscollect[series]["singles"]:
                                mass = True
                        except:
                            pass
                    if mass == False:
                        tradelist.append(card)
    previouscard = card
siglist = []
for card in tcgcore.ownedcards():
    if card == "sig_" + variables.name.lower():
        siglist.append(card)
if variables.keepsig == True:
    if len(siglist) > 0:
        siglist.remove(siglist[0])

def tradegen(colour=False):
    if not os.path.isdir("build/trade"):
        os.mkdir("build/trade")
    if colour:
        if not os.path.isdir("build/trade/" + colour):
            os.mkdir("build/trade/" + colour)
        thefile = "build/trade/" + colour + "/index.html"
    else:
        thefile = "build/trade/index.html"
    if os.path.exists(thefile):
        os.remove(thefile)
    skel.headerwrite(thefile,"trade")
    content = open(thefile,"a")
    content.write("<h1>available for trade</h1>\n")
    content.write(tcgcore.filterwrite("trade",colour,True) + "<p class=\"tradeterms\">")
    if len(variables.tradestatement) > 0:
        content.write(variables.tradestatement + " ")
    content.write("Trade cards <a href=\"" + variables.tradepost + "\">here</a></p>\n<p>")
    thetradelist = []
    if colour:
        if colour == "sig":
            for sig in siglist:
                thetradelist.append(sig)
        else:
            for card in tradelist:
                if tcgcore.cardtype(card) == colour:
                    thetradelist.append(card)
    else:
        for card in tradelist:
            thetradelist.append(card)
        for sig in siglist:
            thetradelist.append(sig)
    content.write("<textarea readonly>" + ", ".join(thetradelist) + "</textarea>\n<p>")
    for card in thetradelist:
        content.write(tcgcore.printcard(card))
    content.write("</p>\n")
    content.close()
    skel.footerwrite(thefile)

def tradeall():
    tradegen()
    for type in tcgcore.typelist:
        tradegen(type)
    tradegen("sig")
        
if __name__ == "__main__":
    tradeall()
